#The initially available configure file uses non-posix forms leading to bad substitution errors, this allows the first configure run to pass
--- a/configure
+++ b/configure
@@ -9296,7 +9296,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-pedantic $CFLAGS"
 fi
 
@@ -9315,7 +9315,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-W $CFLAGS"
 fi
 
@@ -9334,7 +9334,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wall $CFLAGS"
 fi
 
@@ -9353,7 +9353,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wmissing-prototypes $CFLAGS"
 fi
 
@@ -9372,7 +9372,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wmissing-declarations $CFLAGS"
 fi
 
@@ -9391,7 +9391,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wno-long-long $CFLAGS"
 fi
 
@@ -9410,7 +9410,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wwrite-strings $CFLAGS"
 fi
 
@@ -9429,7 +9429,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wpointer-arith $CFLAGS"
 fi
 
@@ -9448,7 +9448,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wbad-function-cast $CFLAGS"
 fi
 
@@ -9467,7 +9467,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Waggregate-return $CFLAGS"
 fi
 
@@ -9486,7 +9486,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wstrict-prototypes $CFLAGS"
 fi
 
@@ -9505,7 +9505,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wredundant-decls $CFLAGS"
 fi
 
@@ -9524,7 +9524,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wchar-subscripts $CFLAGS"
 fi
 
@@ -9543,7 +9543,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wimplicit $CFLAGS"
 fi
 
@@ -9562,7 +9562,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wparentheses $CFLAGS"
 fi
 
@@ -9581,7 +9581,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wsequence-point $CFLAGS"
 fi
 
@@ -9600,7 +9600,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wreturn-type $CFLAGS"
 fi
 
@@ -9619,7 +9619,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wswitch $CFLAGS"
 fi
 
@@ -9638,7 +9638,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wunused $CFLAGS"
 fi
 
@@ -9657,7 +9657,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wuninitialized $CFLAGS"
 fi
 
@@ -9676,7 +9676,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wundef $CFLAGS"
 fi
 
@@ -9695,7 +9695,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wnested-externs $CFLAGS"
 fi
 
@@ -9714,7 +9714,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wdeclaration-after-statement $CFLAGS"
 fi
 
@@ -9733,7 +9733,7 @@
 fi
 echo "$as_me:$LINENO: result: `eval echo '${'$FLAG'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$FLAG'}'`" >&6
-if test ${!FLAG} = yes ; then
+if test [ "$FLAG" != yes ] ; then
   CFLAGS="-Wsign-compare $CFLAGS"
 fi
 
